Vault.StateMetadata
Keywords: net.corda.core.node.services.Vault.StateMetadata class
Date: 2023-09-18

net.corda.core.node.services

## Class Vault.StateMetadata

- net.corda.core.node.services.Vault.StateMetadata

- Enclosing class:
    Vault<T extends ContractState>

      public static class Vault.StateMetadata

- - ### Constructor Detail

    - #### StateMetadata

          @JvmOverloads
          public StateMetadata(@NotNull
                                             StateRef ref,
                                             @NotNull
                                             java.lang.String contractStateClassName,
                                             @NotNull
                                             java.time.Instant recordedTime,
                                             @Nullable
                                             java.time.Instant consumedTime,
                                             @NotNull
                                             net.corda.core.node.services.Vault.StateStatus status,
                                             @Nullable
                                             AbstractParty notary,
                                             @Nullable
                                             java.lang.String lockId,
                                             @Nullable
                                             java.time.Instant lockUpdateTime,
                                             @Nullable
                                             net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                             @Nullable
                                             net.corda.core.node.services.Vault.ConstraintInfo constraintInfo)

    - #### StateMetadata

          @JvmOverloads
          public StateMetadata(@NotNull
                                             StateRef ref,
                                             @NotNull
                                             java.lang.String contractStateClassName,
                                             @NotNull
                                             java.time.Instant recordedTime,
                                             @Nullable
                                             java.time.Instant consumedTime,
                                             @NotNull
                                             net.corda.core.node.services.Vault.StateStatus status,
                                             @Nullable
                                             AbstractParty notary,
                                             @Nullable
                                             java.lang.String lockId,
                                             @Nullable
                                             java.time.Instant lockUpdateTime,
                                             @Nullable
                                             net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### StateMetadata

          @JvmOverloads
          public StateMetadata(@NotNull
                                             StateRef ref,
                                             @NotNull
                                             java.lang.String contractStateClassName,
                                             @NotNull
                                             java.time.Instant recordedTime,
                                             @Nullable
                                             java.time.Instant consumedTime,
                                             @NotNull
                                             net.corda.core.node.services.Vault.StateStatus status,
                                             @Nullable
                                             AbstractParty notary,
                                             @Nullable
                                             java.lang.String lockId,
                                             @Nullable
                                             java.time.Instant lockUpdateTime)

  - ### Method Detail

    - #### copy

          @NotNull
          public net.corda.core.node.services.Vault.StateMetadata copy(@NotNull
                                                                                StateRef ref,
                                                                                @NotNull
                                                                                java.lang.String contractStateClassName,
                                                                                @NotNull
                                                                                java.time.Instant recordedTime,
                                                                                @Nullable
                                                                                java.time.Instant consumedTime,
                                                                                @NotNull
                                                                                net.corda.core.node.services.Vault.StateStatus status,
                                                                                @Nullable
                                                                                AbstractParty notary,
                                                                                @Nullable
                                                                                java.lang.String lockId,
                                                                                @Nullable
                                                                                java.time.Instant lockUpdateTime)

    - #### copy

          @NotNull
          public net.corda.core.node.services.Vault.StateMetadata copy(@NotNull
                                                                                StateRef ref,
                                                                                @NotNull
                                                                                java.lang.String contractStateClassName,
                                                                                @NotNull
                                                                                java.time.Instant recordedTime,
                                                                                @Nullable
                                                                                java.time.Instant consumedTime,
                                                                                @NotNull
                                                                                net.corda.core.node.services.Vault.StateStatus status,
                                                                                @Nullable
                                                                                AbstractParty notary,
                                                                                @Nullable
                                                                                java.lang.String lockId,
                                                                                @Nullable
                                                                                java.time.Instant lockUpdateTime,
                                                                                @Nullable
                                                                                net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### getRef

          @NotNull
          public StateRef getRef()

    - #### getContractStateClassName

          @NotNull
          public java.lang.String getContractStateClassName()

    - #### getRecordedTime

          @NotNull
          public java.time.Instant getRecordedTime()

    - #### getConsumedTime

          @Nullable
          public java.time.Instant getConsumedTime()

    - #### getStatus

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus getStatus()

    - #### getNotary

          @Nullable
          public AbstractParty getNotary()

    - #### getLockId

          @Nullable
          public java.lang.String getLockId()

    - #### getLockUpdateTime

          @Nullable
          public java.time.Instant getLockUpdateTime()

    - #### getRelevancyStatus

          @Nullable
          public net.corda.core.node.services.Vault.RelevancyStatus getRelevancyStatus()

    - #### getConstraintInfo

          @Nullable
          public net.corda.core.node.services.Vault.ConstraintInfo getConstraintInfo()

    - #### component1

          @NotNull
          public StateRef component1()

    - #### component2

          @NotNull
          public java.lang.String component2()

    - #### component3

          @NotNull
          public java.time.Instant component3()

    - #### component4

          @Nullable
          public java.time.Instant component4()

    - #### component5

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus component5()

    - #### component6

          @Nullable
          public AbstractParty component6()

    - #### component7

          @Nullable
          public java.lang.String component7()

    - #### component8

          @Nullable
          public java.time.Instant component8()

    - #### component9

          @Nullable
          public net.corda.core.node.services.Vault.RelevancyStatus component9()

    - #### component10

          @Nullable
          public net.corda.core.node.services.Vault.ConstraintInfo component10()

    - #### copy

          @NotNull
          public net.corda.core.node.services.Vault.StateMetadata copy(@NotNull
                                                                                StateRef ref,
                                                                                @NotNull
                                                                                java.lang.String contractStateClassName,
                                                                                @NotNull
                                                                                java.time.Instant recordedTime,
                                                                                @Nullable
                                                                                java.time.Instant consumedTime,
                                                                                @NotNull
                                                                                net.corda.core.node.services.Vault.StateStatus status,
                                                                                @Nullable
                                                                                AbstractParty notary,
                                                                                @Nullable
                                                                                java.lang.String lockId,
                                                                                @Nullable
                                                                                java.time.Instant lockUpdateTime,
                                                                                @Nullable
                                                                                net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                                                                @Nullable
                                                                                net.corda.core.node.services.Vault.ConstraintInfo constraintInfo)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)